# Haste bundle for Contao Open Source CMS

[![CI](https://github.com/codefog/contao-haste/actions/workflows/ci.yml/badge.svg)](https://github.com/codefog/contao-haste/actions/workflows/ci.yml)
[![](https://img.shields.io/packagist/v/codefog/contao-haste.svg)](https://packagist.org/packages/codefog/contao-haste)
[![](https://img.shields.io/packagist/l/codefog/contao-haste.svg)](https://github.com/codefog/contao-haste/blob/master/LICENSE)
[![](https://img.shields.io/packagist/dt/codefog/contao-haste.svg)](https://packagist.org/packages/codefog/contao-haste)

This bundle provides components for easier development with Contao Open Source CMS.


## Installation

Execute the following command in your Contao project folder:

```
composer require codefog/contao-haste
```

Then, run the Contao install tool to update the database.


## Documentation

- [AjaxReload](docs/AjaxReload.md)
- [DcaAjaxOperations](docs/DcaAjaxOperations.md)
- [DcaDateRangeFilter](docs/DcaDateRangeFilter.md)
- [DcaRelations](docs/DcaRelations.md)
- [Form](docs/Form.md)
- [Formatter](docs/Formatter.md)
- [StringParser](docs/StringParser.md)
- [Undo](docs/Undo.md)
- [UrlParser](docs/UrlParser.md)
- [Util/ArrayPosition](docs/Util/ArrayPosition.md)
- [Util/Pagination](docs/Util/Pagination.md)

### Insert tags

Haste also provides several insert tags to ease working with Contao.
See the [insert tags documentation](docs/InsertTags.md).


## Migration from version 4.x

Please refer to the [UPGRADE](UPGRADE.md) document.


## Copyright

This project has been created and is maintained by:

* Kamil Kuzminski <kamil.kuzminski@codefog.pl>
* Yanick Witschi <yanick.witschi@terminal42.ch>
* Andreas Schempp <andreas.schempp@terminal42.ch>

**Contributors:** https://github.com/codefog/contao-haste/graphs/contributors
